### Method

# Gtk.Widget.get_width

#### Declaration [src]

    int
    gtk_widget_get_width (
      GtkWidget* widget
    )

#### Description [src]

Returns the content width of the widget.

This function returns the size passed to its size-allocate implementation, which is the size you should be using in GtkWidgetClass.`snapshot()`.

For pointer events, see `gtk_widget_contains()`.

#### Return value

Returns: `int`
The width of `widget`